
source("genData.R") #loading the data generation function
nrow <- 1000 # number of obs of each cluster
sd <- c(0.7,0.8,0.2,0.6,0.8) # standard deviation of each cluster
real.centers <- list( x=c(-2, 2, 0.0, -2, +2), y=c(2, 1, 0, -1, -2) ) # the real centers of the clusters
seed=1234 # set seed: in this way the generated data will be replicable

# data generation
data=genData(nrow,sd,real.centers,seed) # total: 5000 bivariate obs (1000 obs for each group)

df=as.data.frame(data)
head(df)

titanic<-read.csv("data/TITANIC/train.csv")

head(titanic)

covertype<-read.csv("data/covtype.full.csv")

head(covertype)

iris<-read.csv("data/iris_h.csv")

head(iris)

banknote<-read.csv("data/data_banknote_authentication.txt",header=FALSE)

head(banknote)

higgs <- read.csv("data/higgs_train_10k.csv")

head(higgs)


