
### install.packages("h2o", lib="/opt/conda/lib/R/library", repo="http://cran.us.r-project.org")

library(h2o)
h2o.init(
  nthreads=-1,            ## -1: use all available threads
  max_mem_size = "2G") 



df=h2o.importFile("data/iris_h.csv")

y <- "Species"
x <- setdiff(names(df), y)
parts <- h2o.splitFrame(df, 0.8, seed = 99)
train <- parts[[1]]
test <- parts[[2]]

system.time(  #0.248   0.005   1.343
m <- h2o.deeplearning(x, y, train, seed = 99, reproducible = TRUE)
)

system.time(  #0.031   0.002   0.069
p <- h2o.predict(m, test)
)

summary(m)

h2o.confusionMatrix(m)
h2o.confusionMatrix(m,test)
